<script lang="ts">
  import '../app.css';
  import type { LayoutData } from './$types';
  import { writable } from 'svelte/store';
  import { onMount, setContext } from 'svelte';
  import LogoSvg from '$lib/components/svg/LogoSvg.svelte';
  import { fade } from 'svelte/transition';

  export let data: LayoutData;

  const user = writable();

  let isPageLoad = false;

  $: user.set(data.user);

  onMount(() => isPageLoad = true);

  setContext('user', user);
</script>

{#if !isPageLoad}
    <div class="relative min-h-screen flex justify-center items-center" transition:fade>
        <div class="animate-spin rounded-full w-28 h-28 border-t-2 border-l-2 border-blue-700"></div>
        <LogoSvg class="absolute top-1/2 left-1/2 -translate-y-1/2 -translate-x-1/2 h-16"/>
    </div>
{/if}
{#if isPageLoad}
    <slot/>
{/if}